--This explains the game how to understand if a DLC is being used or not.
--For Reign of Giants DLC use the following two lines:

--local ROG_INSTALLED = GLOBAL.IsDLCInstalled(GLOBAL.REIGN_OF_GIANTS)
--local ROG_ENABLED = GLOBAL.IsDLCEnabled(GLOBAL.REIGN_OF_GIANTS)

--I only need shipwrecked so i will only use these two:
local SW_INSTALLED = GLOBAL.rawget(GLOBAL, "CAPY_DLC") and GLOBAL.IsDLCInstalled(GLOBAL.CAPY_DLC)
local SW_ENABLED = GLOBAL.rawget(GLOBAL, "CAPY_DLC") and GLOBAL.IsDLCEnabled(GLOBAL.CAPY_DLC)

--This is complicated to explain. Since the game uses two different formulas for the damage multiplier i had to create two different files that are found in the scr (Short for "Super Concentrated Rage") folder.

--This first part means that if shipwrecked is installed and enabled, the game will have to use the file "wis_sw.lua" located in the scr file as if it was the modmain file.
if SW_INSTALLED and SW_ENABLED then
	modimport('scr/wis_sw.lua')
end

--This second part tells the game the opposite: if the shipwrecked DLC is not enabled, it has to use the "wis_base.lua" file instead.
if not SW_ENABLED then
	modimport('scr/wis_base.lua')
end

--I hope it's clear but i am pretty sure it's not. If you desperately need help contact me out and i'll lend you an hand.