local assets =
{
    Asset("ANIM", "anim/herbalbandage.zip"),
    Asset("ATLAS", "images/inventoryimages/herbalbandage.xml"),
}

local prefabs = 
{
}

local function fn(Sim)
    local inst = CreateEntity()
    inst.entity:AddTransform()
    inst.entity:AddAnimState()
	
    MakeInventoryPhysics(inst)
	
    
    inst.AnimState:SetBank("herbalbandage")
    inst.AnimState:SetBuild("herbalbandage")
    inst.AnimState:PlayAnimation("idle")


    inst:AddComponent("stackable")
    inst.components.stackable.maxsize = TUNING.STACK_SIZE_SMALLITEM

    inst:AddComponent("inventoryitem")
    inst.components.inventoryitem.atlasname = "images/inventoryimages/herbalbandage.xml"

    inst:AddComponent("inspectable")
	
	inst:AddComponent("healer")
    inst.components.healer:SetHealthAmount(TUNING.HEALING_HERBALBANDAGE)

    return inst
end

return Prefab( "common/inventory/herbalbandage", fn, assets, prefabs )