-- This information tells other players more about the mod
name = "Wisteria, The Herbalist"
description = "Wisteria finally reached Reign of Giants and Shipwrecked!"
author = "nightdweller"
version = "2.0.1" -- This is the version of the template. Change it to your own number.

-- This is where you get redirected when you click on the "bring me to the mod page" button in the mods menu.
forumthread = "http://steamcommunity.com/sharedfiles/filedetails/?id=1280390727"


-- This lets other players know if your mod is out of date, update it to match the current version in the game
api_version = 6

dont_starve_compatible = true
reign_of_giants_compatible = true
dst_compatible = false
shipwrecked_compatible = true
hamlet_compatible = true

-- This sets the mod icon in the mods section.
icon_atlas = "modicon.xml"
icon = "modicon.tex"

-- Configuration options are a pretty standard thing. Here you create parameters, that get used into the modmain.lua file.

configuration_options =
{
    {
        name = "Maximum HP",
        options =
        {
            {description = "Default (80)", data = "hp80"},
			{description = "100", data = "hp100"},
			{description = "110", data = "hp110"},
			{description = "120", data = "hp120"},
			{description = "150", data = "hp150"},
        },
        default = "hp80",
    },
	
	    {
        name = "Maximum Sanity",
        options =
        {
            {description = "Default (120)", data = "san120"},
			{description = "150", data = "san150"},
			{description = "175", data = "san175"},
			{description = "200", data = "san200"},

        },
        default = "san120",
    },
	
		{
        name = "Damage Multiplier",
        options =
        {
            {description = "Default (X 0,75)", data = "weak"},
			{description = "Standard (X 1)", data = "strong"},

        },
        default = "weak",
    },
}