local assets =
{
    Asset("ANIM", "anim/ointment.zip"),
    Asset("ATLAS", "images/inventoryimages/ointment.xml"),
}

local prefabs = 
{
}

local function fn(Sim)
    local inst = CreateEntity()
    inst.entity:AddTransform()
    inst.entity:AddAnimState()
	
    MakeInventoryPhysics(inst)
	
    
    inst.AnimState:SetBank("ointment")
    inst.AnimState:SetBuild("ointment")
    inst.AnimState:PlayAnimation("idle")


    inst:AddComponent("stackable")
    inst.components.stackable.maxsize = TUNING.STACK_SIZE_SMALLITEM

    inst:AddComponent("inventoryitem")
    inst.components.inventoryitem.atlasname = "images/inventoryimages/ointment.xml"

    inst:AddComponent("inspectable")
	
	inst:AddComponent("healer")
    inst.components.healer:SetHealthAmount(TUNING.HEALING_OINTMENT)

    return inst
end

return Prefab( "common/inventory/ointment", fn, assets, prefabs )